<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">

<div th:fragment="logForm (path, buttonName)">
    <div th:if="${session} and ${session['SPRING_SECURITY_LAST_EXCEPTION']}"
         th:text="${session['SPRING_SECURITY_LAST_EXCEPTION'].message}"
         class="alert alert-danger" role="alert">
    </div>
    <div th:if="${message}"
         th:text="${message}"
         th:class = "'alert alert-' + (${messageType}? ${messageType} : '')"
         role="alert">
    </div>
    <form th:action="${path}" method="post" th:object = "${user}"  >
        <div class="form-group" >
            <label class="col-sm-2" for="exampleFormControlInput1">User name</label>
            <div class="col-sm-5">
                <input name="username" type="text" class="form-control" id="exampleFormControlInput1"  placeholder="Enter username">
            </div>
            <small id="emailHelp" class="form-text text-muted">We'll never share your data with anyone else.</small>
        </div>
        <div class="form-group mb-2">
            <label class="col-sm-2" for="exampleInputPassword1">Password</label>
            <div class="col-sm-5">
                <input name="password" type="password" class="form-control" id="exampleInputPassword1">
            </div>
        </div>
        <div class="ml-3">
            <button type="submit" class="btn btn-primary" th:value="${buttonName}">
                Log in
            </button>
            <a class="btn btn-link" th:href="@{/add-user}" >
                Register new user
            </a>
        </div>
    </form>
</div>